Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action.hyperlinks
Class ReportExecutionHyperlinkProducerFactory.HyperlinkProducer

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.jasperreports.util.BaseReportExecutionHyperlinkProducerFactory.BaseHyperlinkProducer
          com.jaspersoft.jasperserver.war.action.hyperlinks.ReportExecutionHyperlinkProducerFactory.HyperlinkProducer

All Implemented Interfaces:
  java.io.Serializable, net.sf.jasperreports.engine.export.JRHyperlinkProducer

Enclosing class:
  ReportExecutionHyperlinkProducerFactory

    public class ReportExecutionHyperlinkProducerFactory.HyperlinkProducer

extends BaseReportExecutionHyperlinkProducerFactory.BaseHyperlinkProducer

See Also:
  Serialized Form

Constructor Summary
`ReportExecutionHyperlinkProducerFactory.HyperlinkProducer(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Method Summary
`protected void` | `appendAdditionalParameters(net.sf.jasperreports.engine.JRPrintHyperlink hyperlink, java.lang.StringBuffer sb)`
`protected void` | `appendHyperlinkStart(net.sf.jasperreports.engine.JRPrintHyperlink hyperlink, java.lang.StringBuffer sb)`
`protected void` | `appendSubflowParams(java.lang.StringBuffer sb)`
`java.lang.String` | `getHyperlink(net.sf.jasperreports.engine.JRPrintHyperlink hyperlink)`
`protected java.util.Locale` | `getLocale()`

Methods inherited from class com.jaspersoft.jasperserver.api.engine.jasperreports.util.BaseReportExecutionHyperlinkProducerFactory.BaseHyperlinkProducer
`appendParameter, appendParameter, appendParameters, encode, loadClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportExecutionHyperlinkProducerFactory.HyperlinkProducer

    public ReportExecutionHyperlinkProducerFactory.HyperlinkProducer(javax.servlet.http.HttpServletRequest request,
                                                                     javax.servlet.http.HttpServletResponse response)

Method Detail

### getHyperlink

    public java.lang.String getHyperlink(net.sf.jasperreports.engine.JRPrintHyperlink hyperlink)

  Specified by:
    `getHyperlink` in interface `net.sf.jasperreports.engine.export.JRHyperlinkProducer`
  Overrides:
    `getHyperlink` in class `BaseReportExecutionHyperlinkProducerFactory.BaseHyperlinkProducer`

### appendSubflowParams

    protected void appendSubflowParams(java.lang.StringBuffer sb)

### appendAdditionalParameters

    protected void appendAdditionalParameters(net.sf.jasperreports.engine.JRPrintHyperlink hyperlink,
                                              java.lang.StringBuffer sb)

  Specified by:
    `appendAdditionalParameters` in class `BaseReportExecutionHyperlinkProducerFactory.BaseHyperlinkProducer`

### appendHyperlinkStart

    protected void appendHyperlinkStart(net.sf.jasperreports.engine.JRPrintHyperlink hyperlink,
                                        java.lang.StringBuffer sb)

  Specified by:
    `appendHyperlinkStart` in class `BaseReportExecutionHyperlinkProducerFactory.BaseHyperlinkProducer`

### getLocale

    protected java.util.Locale getLocale()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.